Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453098 - emacs randomy reports regular expression too big
Summary: emacs randomy reports regular expression too big
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 8
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-27 09:27 UTC by Tom Horsley
Modified: 2009-01-09 06:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:38:32 UTC


Attachments (Terms of Use)

Description Tom Horsley 2008-06-27 09:27:32 UTC
Description of problem:

At seemingly random times, emacs will give a "regular expression too big"
error. Trying the same thing that triggered the error a 2nd time usually
results in everything working fine.

Version-Release number of selected component (if applicable):
emacs-22.1-11.fc8.x86_64

How reproducible:
Totally random, but happens regularly :-).

Steps to Reproduce:
1. Sometimes happens during emacs startup.
2. I've gotten it fairly frequently running M-x compile
3. I also just got it running "help on key" to ask what
   function was bound to ESC c c to find the name of the
   compile command above :-).
  
Actual results:

Sometimes works, sometimes gets Regular expression too big
error.

Expected results:

Always works.

Additional info:

This sure has all the symptoms of an un-initialized variable
somewhere, or even worse, a code generation problem in the
compiler used to build emacs.

Comment 2 Bug Zapper 2008-11-26 10:55:48 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Tom Horsley 2008-12-15 13:48:43 UTC
I haven't yet noticed this happen in fedora 10, so maybe the bug has
vanished as mysteriously as it arrived in the f10 version.

Comment 4 Bug Zapper 2009-01-09 06:38:32 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.